Get ITSM Ticket by Identifier
curl --request GET \
--url https://api.leen.dev/v1/itsm/tickets/by-identifier/{identifier} \
--header 'X-API-KEY: <api-key>' \
--header 'X-CONNECTION-ID: <api-key>'import requests
url = "https://api.leen.dev/v1/itsm/tickets/by-identifier/{identifier}"
headers = {
"X-API-KEY": "<api-key>",
"X-CONNECTION-ID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<api-key>', 'X-CONNECTION-ID': '<api-key>'}
};
fetch('https://api.leen.dev/v1/itsm/tickets/by-identifier/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"status": "<string>",
"vendor_attributes": {
"id": "<string>",
"vendor": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"data": {
"customFields": {},
"id": "<string>",
"statusCategory": "<string>",
"vendor": "JIRA"
},
"priority": "<string>",
"status": "<string>",
"type": "<string>",
"type_id": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
},
"active": true,
"assigned_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"closed_at": "2023-11-07T05:31:56Z",
"created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"description": "<string>",
"due_date": "2023-11-07T05:31:56Z",
"identifier": "<string>",
"parent_ticket_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"priority": "<string>",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status_updated_at": "2023-11-07T05:31:56Z",
"tags": [
"<string>"
],
"ticket_created_at": "2023-11-07T05:31:56Z",
"type": "<string>",
"type_id": "<string>",
"url": "<string>"
}{
"code": "<string>",
"detail": [
{}
],
"message": "<string>",
"type": "<string>"
}{
"code": "<string>",
"detail": [
{}
],
"message": "<string>",
"type": "<string>"
}Tickets
Get ITSM Ticket by Identifier
Get an ITSM ticket by its user-provided identifier.
GET
/
itsm
/
tickets
/
by-identifier
/
{identifier}
Get ITSM Ticket by Identifier
Path Parameters
Response
Successful Response
Leen's UUID for the Ticket
Name of the Ticket
Status of the Ticket
Vendor-specific attributes of the Ticket
Show child attributes
Show child attributes
Whether the Ticket is active
User ID assigned to the Ticket
Closing time of the Ticket
User ID who created the Ticket
Description of the Ticket
Due date of the Ticket
User-provided tracking identifier for the Ticket
Parent Ticket ID (for sub-tasks)
Priority of the Ticket
Project ID the Ticket belongs to
Last status update time
Tags associated with the Ticket
Creation time of the Ticket in the vendor system
Type of the Ticket (e.g., Epic, Story, Task, Bug)
Vendor-specific type ID (e.g., Jira issue type ID)
URL of the Ticket